<template>
  <div></div>
  <v-snackbar
    v-if="message"
    :model-value="show"
    :color="message.color"
    :timeout="-1"
  >
    {{ message.text }}
    <template #actions>
      <v-btn @click="popMessage()"> Close </v-btn>
      <v-badge v-if="count > 1" :content="count" inline> </v-badge>
    </template>
  </v-snackbar>
</template>

<script setup lang="ts">
const store = useSnackBarStore();
const { message, count } = storeToRefs(store);
const { popMessage } = store;

const show = computed(() => count.value > 0);
</script>
